Skip to main content
POST
/
datasets
/
v3
/
scrape
Collect Reviews by URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "url": "<string>",
      "reviews_to_not_include": [
        "<string>"
      ]
    }
  ]
}
'
[
  {
    "url": "https://www.amazon.com/dp/B0CHHSFMRL",
    "asin": "B0CHHSFMRL",
    "reviewer_name": "John D.",
    "rating": 5,
    "review_title": "Best headphones I have ever owned",
    "review_text": "Incredible sound quality and the noise cancellation is top-notch. Battery lasts for days on a single charge.",
    "review_date": "2025-01-15T00:00:00.000Z",
    "verified_purchase": true
  }
]

Query Parameters

dataset_id
string
default:"gd_le8e811kzy4ggddlq"
required
The dataset ID used for this request.
Must be set to gd_le8e811kzy4ggddlq to collect Reviews by URL data.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {"url": "https://www.amazon.com/dp/B0CHHSFMRL"}
  ]
}
[
  {
    "url": "https://www.amazon.com/dp/B0CHHSFMRL",
    "asin": "B0CHHSFMRL",
    "reviewer_name": "John D.",
    "rating": 5,
    "review_title": "Best headphones I have ever owned",
    "review_text": "Incredible sound quality and the noise cancellation is top-notch. Battery lasts for days on a single charge.",
    "review_date": "2025-01-15T00:00:00.000Z",
    "verified_purchase": true
  }
]